.section-references{
    background: var(--white);
}

.section-references .references-wrapper {
    display: flex;
    align-items: flex-start;
    gap: 72px;
    background: rgba(40, 86, 119, 0.05);
    border-radius: 24px;
    min-height: 480px;
}

.section-references .references-wrapper > div {
    flex: 1 1 0;
}

.section-references .references-content {
    width: 100%;
    max-width: 470px;
    padding: 64px 64px 64px 8px;
}

.section-references {
    overflow: hidden;
}

.section-references .references-slider {
    position: relative;
    overflow: visible;
    padding: 34px calc(34px + 64px) calc(34px + 64px) 34px;
    margin: 64px 0 0 64px;
}

.section-references .references-slider .swiper-wrapper {
    position: relative;
    height: 0;
}

.section-references .references-slider .swiper-slide {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    opacity: 0;
    transform: translate3d(0,0,0);
    transition: transform 450ms ease, opacity 450ms ease;
    will-change: transform, opacity;
    pointer-events: none;
}

.section-references .references-slider .swiper-slide.is-active {
    pointer-events: auto;
    opacity: 1;
}

.section-references .slide-panel {
    display: flex;
    flex-direction: column;
    gap: 10px;
    background: var(--white);
    padding: 32px;
    height: 180px;
    border-radius: 10px;
    box-shadow: 0 100px 80px 0 rgba(0, 0, 0, 0.02), 0 64.815px 46.852px 0 rgba(0, 0, 0, 0.02), 0 38.519px 25.481px 0 rgba(0, 0, 0, 0.01), 0 20px 13px 0 rgba(0, 0, 0, 0.01), 0 8.148px 6.519px 0 rgba(0, 0, 0, 0.01), 0 1.852px 3.148px 0 rgba(0, 0, 0, 0.00);
}

.section-references .references-dots {
    display: flex;
    gap: 12px;
    align-items: center;
    justify-content: center;
    margin-top: 36px;
}

.section-references .references-dot {
    width: 12px;
    height: 12px;
    background: var(--lex-granat);
    border-radius: 50%;
    opacity: 0.3;
    border: 0;
    padding: 0;
    cursor: pointer;
    transition: opacity 250ms ease, transform 250ms ease;
}

.section-references .references-dot[aria-current="true"] {
    opacity: 1;
    width: 36px;
    border-radius: 20px;
    background: var(--lex-blue);
}

.section-references .slide-panel .avatar {
    position: absolute;
    top: -32px;
    left: -32px;
}

.section-references .slide-panel .avatar img {
    border-radius: 50%;
}

.section-references .slide-panel p {
    margin: 0;
    padding: 0;
    line-height: 1.5;
    max-width: 402px;
}

.section-references .slide-panel .description {
    color: var(--lex-granat);
    font-size: 16px;
    font-style: italic;
    font-weight: 400;
}

.section-references .slide-panel .name {
    color: var(--lex-blue);
    font-size: 14px;
    font-weight: 700;
}

.section-references .slide-panel .company {
    color: #5E6282;
    font-size: 12px;
    font-weight: 400;
}

@media (max-width: 1280px) {
    .section-references .references-slider {
        padding: 17px calc(16px + 32px) calc(17px + 32px) 17px;
        margin: 32px 0 0 32px;
    }
}

@media (max-width: 1140px) {
    .section-references .references-wrapper {
        gap: 32px;
        min-height: 480px;
    }
}

@media (max-width: 992px) {
    .section-references .references-slider {
        width: 100%;
        height: auto !important;
        order: 2;
        margin: 0;
        padding: 0 32px 32px 32px;
    }

    .section-references .references-slider .swiper-wrapper {
        height: auto;
    }

    .section-references .references-wrapper {
        flex-direction: column;
    }

    .section-references .references-content {
        max-width: 100%;
        padding: 32px 16px 0 16px;
    }

    .section-references .references-slider .swiper-slide {
        position: relative;
        opacity: 1;
        transition: none;
    }

    .section-references .slide-panel {
        min-height: 100%;
        height: auto;
    }

    .section-references .slide-panel p {
        max-width: 100%;
    }
}